hi I am new to the psp scene and i am having a problem. I brought a psp with firm ware 1.52 and i first upg raded it to 2.0 and then downgraded it to 1.5 Everything worked out but when I try to install a emulator I follow the procedure but when I go to my memory stick it shows up as corrupted data. I do not kow what I am doing wrong could someone please help me.